# Interface IComponentOptionsPostProcessing<T>

The `IComponentOptionsPostProcessing<T>` interface describes a post process function that should allow a component option to further modify its own value once all other options of that component have been built.

### Type parameters

- #### T

### Hierarchy

- IComponentOptionsPostProcessing

### Callable

- __call(value: T, options: any): T

- - Defined in ui/Base/IComponentOptions.ts :45

  Specifies a function that should allow a component option to further modify its own value once all other options of that component have been built.

  #### Parameters

  - ##### value: T

    The value originally specified for the option.

  - ##### options: any

    The options of the component.

  #### Returns T